Page MenuHomeFreeBSD

if: Defer the if_up until the ifnet.if_ioctl is called.
ClosedPublic

Authored by sepherosa_gmail.com on Dec 26 2016, 5:14 AM.

Details

Summary

This ensures the interface is initialized by the interface driver before it can be used by the rest of the system.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

sepherosa_gmail.com retitled this revision from to if: Defer the if_up until the ifnet.if_ioctl is called..
sepherosa_gmail.com updated this object.
sepherosa_gmail.com edited the test plan for this revision. (Show Details)
jhb added a subscriber: jhb.Dec 29 2016, 7:08 PM

I would suggest rewording the message a bit to something like:

Defer if_up() until after the interface's if_ioctl method is called.

This ensures the interface is initialized by the interface driver before
it can be used by the rest of the system.
In D8905#185507, @jhb wrote:

I would suggest rewording the message a bit to something like:

Defer if_up() until after the interface's if_ioctl method is called.
This ensures the interface is initialized by the interface driver before
it can be used by the rest of the system.

Done. Thank you.

karels edited edge metadata.Dec 31 2016, 5:45 PM

Seems fine to me; will let someone else approve.

gnn accepted this revision.Jan 5 2017, 5:00 PM
gnn edited edge metadata.
This revision is now accepted and ready to land.Jan 5 2017, 5:00 PM
This revision was automatically updated to reflect the committed changes.